OGRE: Ogre::SceneManagerFactory Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::SceneManagerFactory Class Reference

Class which will create instances of a given SceneManager. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManagerFactory:

[legend]
List of all members.

## Public Member Functions

| SceneManagerFactory ()
virtual | ~SceneManagerFactory ()
virtual const SceneManagerMetaData & | getMetaData (void) const
| Get information about the SceneManager type created by this factory.
virtual SceneManager * | createInstance (const String &instanceName)=0
| Create a new instance of a SceneManager.
virtual void | destroyInstance (SceneManager *instance)=0
| Destroy an instance of a SceneManager.

## Protected Member Functions

virtual void | initMetaData (void) const =0
| Internal method to initialise the metadata, must be implemented.

## Protected Attributes

SceneManagerMetaData | mMetaData
bool | mMetaDataInit

## Detailed Description

Class which will create instances of a given SceneManager.

Definition at line 2835 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::SceneManagerFactory::SceneManagerFactory | ( |  | ) |

| Definition at line 2843 of file OgreSceneManager.h.

virtual Ogre::SceneManagerFactory::~SceneManagerFactory | ( |  | ) | `[virtual]`

| Definition at line 2844 of file OgreSceneManager.h.

## Member Function Documentation

virtual SceneManager* Ogre::SceneManagerFactory::createInstance | ( | const String & | instanceName | ) | `[pure virtual]`

Create a new instance of a SceneManager.

Remarks:
  Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implemented in Ogre::DefaultSceneManagerFactory.

virtual void Ogre::SceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) | `[pure virtual]`

| Destroy an instance of a SceneManager. Implemented in Ogre::DefaultSceneManagerFactory.

virtual const SceneManagerMetaData& Ogre::SceneManagerFactory::getMetaData | ( | void |  | ) | const`[virtual]`

| Get information about the SceneManager type created by this factory. Definition at line 2846 of file OgreSceneManager.h.

virtual void Ogre::SceneManagerFactory::initMetaData | ( | void |  | ) | const`[protected, pure virtual]`

| Internal method to initialise the metadata, must be implemented. Implemented in Ogre::DefaultSceneManagerFactory.

## Member Data Documentation

SceneManagerMetaData Ogre::SceneManagerFactory::mMetaData`[mutable, protected]`

| Definition at line 2838 of file OgreSceneManager.h.

bool Ogre::SceneManagerFactory::mMetaDataInit`[mutable, protected]`

| Definition at line 2839 of file OgreSceneManager.h.

The documentation for this class was generated from the following file:

- OgreSceneManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:35 2008